Create inventory treatment settings
POST
/merchants/{merchantCode}/inventoryTreatmentSettings
const url = 'https://catalog.shopgate.io/v1/merchants/example/inventoryTreatmentSettings';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"inventoryTreatmentSettings":[{"code":"its1","name":"setting name","isPurchasable":true,"sequenceId":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/inventoryTreatmentSettings \ --header 'Content-Type: application/json' \ --data '{ "inventoryTreatmentSettings": [ { "code": "its1", "name": "setting name", "isPurchasable": true, "sequenceId": 1 } ] }'Create inventory treatment settings
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
inventoryTreatmentSettings
required
Array<object>
object
code
required
string
Example
its1name
required
string
Example
setting nameisPurchasable
required
boolean
sequenceId
required
integer
Responses
Section titled “Responses”Media typeapplication/json
object
errors
Array<object>
object
entityIndex
number
entity
string
entityId
string
code
number
reason
string
subentityPath
Array<string | null | number>
Examplegenerated
{ "errors": [ { "entityIndex": 1, "entity": "example", "entityId": "example", "code": 1, "reason": "example", "subentityPath": [ "example" ] } ]}default
Section titled “default”Unexpected error
Media typeapplication/json
object
statusCode
number
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "statusCode": 1, "code": "example", "message": "example"}
